Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations

CreateSchedulerJobGroup

CreateSchedulerJobGroup

POST/zstack/v1/scheduler/jobgroups

Operation ID

CreateSchedulerJobGroup

Since

3.4.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • name
      StringRequired

      The name of the job group to be scheduled.

    • description
      String

      Optional. The detailed description of the job group to be scheduled.

    • type
      StringRequired

      The type of the jobs.

    • parameters
      Map

      Optional The parameters of the jobs.

    • resourceUuid
      String

      Optional. Specify a UUID for the job group.

    • tagUuids
      List

      Optional. The UUIDs of the tags.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    SchedulerJobInventoryRequired

    See inventory

    • uuid
      StringRequired

      The UUID of the job group.

    • targetResourceUuid
      StringRequired

      The target resource UUID.

    • name
      StringRequired

      The name of the job group.

    • description
      StringRequired

      The detailed description of the job group.

    • state
      StringRequired

      The resource state.

    • createDate
      TimestampRequired

      The time when the job group was created.

    • lastOpDate
      TimestampRequired

      The time when the job group was last modified.

    • triggersUuid
      ListRequired

      The triggers UUID.